This patch is an extension of Riedel's jupebypass patch for Hybrid 6.2.

This implementation allows any operator on your server to join a juped
channel (local or global oper) and allows the oper to speak in the juped
channel.

Unlike Riedel's implementation, this patch allows any oper to join, not
just ones with a J in their oper flags.

cd into the root of your Hybrid 6.3.1 source tree and issue the command:
$ patch -p1 </path/to/6.3-jupebypass.diff

More info or gripes to W. Campbell <wcampbel@botbay.net>

diff -uNrd ircd-hybrid-6.3.1.dist/src/channel.c ircd-hybrid-6.3.1/src/channel.c
--- ircd-hybrid-6.3.1.dist/src/channel.c	Sun Feb 17 00:58:12 2002
+++ ircd-hybrid-6.3.1/src/channel.c	Sat May 11 19:56:23 2002
@@ -616,7 +616,7 @@
   Link  *lp;
 
 #ifdef JUPE_CHANNEL
-  if (MyClient(cptr) && chptr->juped)
+  if (MyClient(cptr) && chptr->juped && !IsAnOper(cptr))
     {
       return 1;
     }
@@ -1899,7 +1899,7 @@
   int ban_or_exception;
 
 #ifdef JUPE_CHANNEL
-  if(chptr->juped)
+  if(chptr->juped && !IsAnOper(sptr))
     {
       sendto_ops_flags(FLAGS_SPY,
              "User %s (%s@%s) is attempting to join locally juped channel %s",
